from setuptools import setup

setup(
    name='simple-upload-server',

    version='0.1.2',

    description='simple-upload-server',

    url='https://github.com/m31271n/simple-upload-server',

    author='m31271n',
    author_email="m31271n@gmail.com",

    license='MIT',

    # See https://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers=[
        # How mature is this project? Common values are
        #   3 - Alpha
        #   4 - Beta
        #   5 - Production/Stable
        'Development Status :: 3 - Alpha',

        # Indicate who your project is intended for
        'Intended Audience :: Developers',
        'Topic :: Utilities',

        # Pick your license as you wish (should match "license" above)
        'License :: OSI Approved :: MIT License',
    ],

    keywords='upload server',

    packages=['simple_upload_server'],
    package_data={
        'simple_upload_server': ['templates/index.html'],
    },

    install_requires=['flask'],

    entry_points={
        'console_scripts': [
            'simple-upload-server=simple_upload_server:main',
        ],
    },
)
